NCMPC(1)

NAME
ncmpc - ncmpc Documentation

DESCRIPTION

ncmpc is a command-line client for the Music Player Daemon (MPD).

By default, ncmpc connects to the local MPD instance. A different MPD instance can be selected using the command line options --host and --port, or by setting the environment variables MPD_HOST and MPD_PORT:

            ncmpc --host=musicserver --port=44000

You can connect to a "local" socket by setting the host to a file path (e.g. "/run/mpd/socket"). Abstract sockets can be used with a "@" prefix (e.g. "@mpd").

To use a password with MPD, set MPD_HOST to password@host or use the command line option --password. Values from the command line override values from the environment.

SYNOPSIS
        ncmpc [options]

OPTIONS

    -?, --help
        Display help.

    -V, --version
        Display version information and build-time configuration.

    -c, --colors
        Enable colors.

    -C, --no-colors
        Disable colors.

    -m, --mouse
        Enable mouse.

    --host=HOST
        The MPD host to connect to.

    --port=PORT, -p PORT
        The port to connect to.

    -P, --password=PASSWORD
        Use password when connecting.

    -f, --config=FILE
        Read configuration from file.

    -k, --key-file=FILE
        Read key bindings from file.

CONFIGURATION

When ncmpc starts it tries to read the user's configuration file, $XDG_CONFIG_HOME/ncmpc/config (usually ~/.config/ncmpc/config). If no user configuration file is found then ncmpc tries to load the global settings from $SYSCONFDIR/ncmpc/config (the actual path is displayed in the output of the --version option). An example configuration file (config.sample) is shipped with ncmpc.

  Connection

host = HOST - The MPD host to connect to.

port = PORT - The port to connect to.

password = PASSWORD - Use password when connecting.

timeout = TIMEOUT - Attempt to reconnect to mpd if a response to a command is not received within TIMEOUT seconds. Specifying a value in the configuration file overrides the "MPD_TIMEOUT" environment variable. If no timeout is specified in the configuration file or in the environment, the default is 5 seconds.

  Interface

show-title-bar = yes|no - "no" allows hiding the title bar.

show-server-address = yes|no - "yes" shows the server address in the title bar. This is disabled by default because most people use only one MPD instance.

enable-mouse = yes|no - Enable mouse support (if enabled at compile time).

screen-list = SCREEN1 SCREEN2... - A list of screens to cycle through when using the commands screen-next (bound to "Tab" by default) and screen-prev ("Shift+Tab"). Valid choices, if enabled at compile time, are:
        help, playlist, browse, library, search, lyrics, outputs, chat, song, keydef

The default is playlist browser, i.e. the "Tab" key cycles only between those two pages.

library-page-tags = TAG1 TAG2 ... - A list of tags to group the library page. The default is artist album.

search-mode = MODE - Default search mode for the search screen. MODE must be one of title, artist, album, filename, and artist+title, or an integer index (0 for title, 1 for artist etc.).

auto-center = yes|no - Enable/disable auto center mode. When auto center mode is enabled ncmpc centers the current track in the playlist window.

scroll-offset = NUM - Keep at least NUM lines above and below the cursor on list windows, if possible.

find-show-last = yes|no - Show the most recent query instead of a blank line for a find.

find-wrap = yes|no - Wrapped find mode.

wrap-around = yes|no - Wrapped cursor movement.

bell-on-wrap = yes|no - Ring bell when find wraps around.

audible-bell = yes|no - Sound audible bell on alerts.

visible-bell = yes|no - Visible bell on alerts.

crossfade-time = CROSSFADE TIME - Default crossfade time in seconds.

seek-time = NUM - Seek forward/backward by NUM seconds.

lyrics-timeout = NUM - Quits downloading lyrics of a song after the timeout of NUM seconds is reached, if NUM is greater than zero.

jump-prefix-only = yes|no - When using the jump command, search for the prefix of an entry. That means typing "m" will start to the first entry which begins with "m".

lyrics-autosave = yes|no - Automatically save lyrics after receiving them.

lyrics-show-plugin = yes|no - Show the name of the plugin used to receive lyrics on the lyrics screen.

text-editor = EDITOR - The text editor used for editing lyrics.

chat-prefix = PREFIX - Prefix messages send with the chat screen with PREFIX. By default they are prefixed with the current user name enclosed by < and > and a space (i.e. "<name> ").

second-column = yes|no - Display song length in a second column.

  Display

welcome-screen-list = yes|no - Show a list of the screens in the top line.

wide-cursor = yes|no - Make the cursor as wide as the screen.

hardware-cursor = yes|no - Use the terminal's hardware cursor instead of inverse colors.

hide-cursor = NUM - Hide the playlist cursor after NUM seconds of inactivity.

scroll = yes|no - Scroll the title if it is too long for the screen.

scroll-sep = STRING - the separator to show at the end of the scrolling title.

list-format = SONG FORMAT - The format used to display songs in the main window.

search-format = SONG FORMAT - The format used to display songs in the search window. Default is to use list-format.

status-format = SONG FORMAT - The format used to display songs on the status line.

status-message-time = TIME - The time, in seconds, for which status messages will be displayed.

display-time = yes|no - Display the time in the status bar when idle.

timedisplay-type = elapsed|remaining|none - Sets whether to display remaining or elapsed time in the status window. Default is elapsed. none doesn't show the time at all.

visible-bitrate = yes|no - Show the bitrate in the status bar when playing a stream.

set-xterm-title = yes|no - Change the XTerm title (ncmpc will not restore the title).

xterm-title-format = SONG FORMAT - The format used to for the xterm title when ncmpc is playing.

  Colors

enable-colors = yes|no - Enable/disable colors. Defaults to yes.

The colors used by ncmpc can be customized. The color directive can be used to change how a certain style looks. It can contain a text color and attributes. The following standard colors can be specified by name (official reference):
        black, red, green, yellow, blue, magenta, cyan, white

Example:

            color list = cyan

Modern terminals support up to 256 colors, but they are not standardized. You can select them by specifying the number. Example:

            color title = 42

The background color can be specified after the text color separated by a slash. You can omit the text color if you want to change only the background color:

            color title = white/blue
            color title = /blue

The color none uses the terminal's default color.

Attributes can be used to modify the font appearance. The following attributes can be specified (official reference), though many of them are not supported by prevalent terminals:
        standout, underline, reverse, blink, dim, bold

Example:

            color alert = red blink

color background = COLOR - Set the default background color.

color title = COLOR[,ATTRIBUTE]... - Set the text color and attributes for the title row, which displays the page names.

color title-bold = COLOR[,ATTRIBUTE]... - Like title, but refers to emphasized parts of the title row, i.e. the hot keys for switching to a specific page.

color line = COLOR - Set the color of the line on the second row.

color line-flags = COLOR[,ATTRIBUTE]... - Set the text color used to indicate mpd flags on the second row.

color list = COLOR[,ATTRIBUTE]... - Set the text color in the main area of ncmpc.

color list-bold = COLOR[,ATTRIBUTE]... - Set the bold text color in the main area of ncmpc.

color browser-directory = COLOR[,ATTRIBUTE]... - Set the text color used to display directories in the browser window.

color browser-playlist = COLOR[,ATTRIBUTE]... - Set the text color used to display playlists in the browser window.

color progressbar = COLOR[,ATTRIBUTE]... - Set the color of the progress indicator.

color progressbar-background = COLOR[,ATTRIBUTE]... - Set the color of the progress indicator background.

color status-state = COLOR[,ATTRIBUTE]... - Set the text color used to display mpd status in the status window.

color status-song = COLOR[,ATTRIBUTE]... - Set the text color used to display song names in the status window.

color status-time = COLOR[,ATTRIBUTE]... - Set the text color used to display time the status window.

color alert = COLOR[,ATTRIBUTE]... - Set the text color used to display alerts in the status window.

color input = COLOR[,ATTRIBUTE]... - Set the text color of text input controls.

colordef COLOR = R, G, B - Redefine any of the base colors. The RGB values must be integer values between 0 and 1000. Note: Only some terminals allow redefinitions of colors!

KEYS

When ncmpc starts it tries to read user-defined key bindings from the $XDG_CONFIG_HOME/ncmpc/keys (usually ~/.config/ncmpc/keys) file. If no user-defined key bindings are found then ncmpc tries to load the global key bindings from $SYSCONFDIR/ncmpc/keys (the actual path is displayed on the help screen).

You can view ncmpc's key bindings by pressing '1' (help) when ncmpc is running. To edit key bindings press 'K' and use the key editor in ncmpc.

SONG FORMAT

Format of song display for status and the list window. The metadata delimiters are: %artist%, %albumartist%, %composer%, %performer%, %title%, %album%, %shortalbum%, %track%, %disc, %genre%, %name%, %time%, %date%, %file%, %shortfile%.

The [] operators are used to group output such that if none of the metadata delimiters between [ and ] are matched, then none of the characters between [ and ] are output; literal text is always output. & and | are logical operators for and and or. # is used to escape characters.

Some useful examples for format are:

            "%file%"

and:

            "[[%artist% - ]%title%]|%file%"

Another one is:

            "[%artist%|(artist n/a)] - [%title%|(title n/a)]"

TABLES

As an experimental feature, the queue can be displayed as a table. Beware, this feature is really experimental, and future versions may do incompatible changes.

To configure this, add columns to the configuration file, e.g.:

            song-table-column = "Artist" "%artist%|%name%|%file%" min=20 fraction=2
            song-table-column = "Title" "%title%" min=20 fraction=2
            song-table-column = "Album" "%album%" min=10 fraction=1
            song-table-column = "Time" "%time%" min=8 fraction=0

Each column has a caption, a format string specifying what is being displayed, a minimum width (in terminal cells) and a fraction specifying how much of excess width will be assigned to this column.

In the above example, the "Time" column will have a fixed width of 8 because fraction=0.

CHAT PROTOCOL

If ncmpc has been compiled with "chat" support, it uses the client-to-client protocol available in MPD 0.17 or higher to communicate with other clients. In order to receive messages it subscribes to the channel with the name "chat", and displays any message sent there as-is. When the user enters a message, it is first with the prefix specified by the chat-prefix option (or the default prefix), and then sent to the "chat" channel for others to read.

BUGS

Report bugs on https://github.com/MusicPlayerDaemon/ncmpc/issues

Note ---

Since MPD uses UTF-8, ncmpc needs to convert characters to the charset used by the local system. If you get character conversion errors when your running ncmpc you probably need to set up your locale. This is done by setting any of the LC_CTYPE, LANG or LC_ALL environment variables (LC_CTYPE only affects character handling).

SEE ALSO

mpd(1), mpc(1), locale(5), locale(7)

AUTHOR
Max Kellermann

COPYRIGHT
Copyright 2004-2021 The Music Player Daemon Project